%define src_ver 0.6
%define languagelocal bahasa
%define languageeng indonesian
%define languagecode id

Summary: 	Indonesian files for ispell
Summary(id): Data ejaan Bahasa Indonesia untuk ispell
Name: 		ispell-%{languagecode} 
Version: 	0.6
Release: 	8mdk
URL: 		http://ldp.linux.or.id/HOWTO/contrib/indospell/
Source:		http://ldp.linux.or.id/HOWTO/contrib/indospell/indospell-%{src_ver}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: indospell
Obsoletes: ispell-indonesian

%description
ispell-id is spelling data in Bahasa Indonesia which used by
ispell program. With this extension, you can compose a document
in Bahasa Indonesia and check for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l id
ispell-id adalah data ejaan Bahasa Indonesia yang dapat digunakan
untuk program ispell. Dengan demikian Anda dapat mengetik dalam Bahasa
Indonesia tanpa takut salah ketik.

%prep
%setup -n indospell-%{src_ver}
make indonesian.optimal
mv -f indonesian.optimal %{languagelocal}.hash
mv -f indonesian.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
 # old file names
 ln -s %{languagelocal}.aff indo.aff
 ln -s %{languagelocal}.hash indo.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING README* THANKS Kontributor mbox2kamus
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.6-8mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.6-7mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-6mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6-5mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed name to ispell-id for standardization

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed permissions problem of /usr/doc/%{name}

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Mon Aug 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.6 version

* Thu Aug 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- No need to include the source files in the package 
  (*.src.rpm are there for that)
- added indonesian descriptions

* Wed Aug 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake, contributed by Mohammad DAMT <mdamt@cakraweb.com>
  of Indonesian language team.
